Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | List of all members
Base64::Decoder Class Reference

Base64 decoder. More...

`#include <base64.h>`

Inheritance diagram for Base64::Decoder:

## Public Member Functions

| Decoder ()
const char * | name () const
template<typename InIt, typename OutIt>
void | process (InIt bit, InIt eit, OutIt out)
template<typename OutIt>
void | process (char_type c, OutIt &out)
template<typename OutIt>
void | flush (OutIt &out)
Public Member Functions inherited from codec
virtual double | codeSizeMultiplier () const

## Additional Inherited Members

Public Types inherited from buffered_codec
typedef buffered_codec_type_tag | codec_type
Public Types inherited from codec
typedef unsigned char | char_type

## Detailed Description

Base64 decoder.

See also
  encode decode

## Constructor & Destructor Documentation

## ◆ Decoder()

Decoder | ( |  | ) |

inline

Constructor

## Member Function Documentation

## ◆ flush()

template<typename OutIt>

void flush | ( | OutIt & | out | ) |

inline

Write to `out` any buffered decoded char.

## ◆ name()

const char * name | ( |  | ) | const

inline virtual

Returns the name of the codec ("Base64")

Implements codec.

## ◆ process() [1/2]

template<typename OutIt>

void process | ( | char_type | c,
|  | OutIt & | out )

inline

Decodes `c` and write any decoded output char to `out`.

Warning
  You must call flush() when all chars have been processed by the decode funcion.
  while( (c = getchar()) != EOF )
  b64.decode(c, out);
  b64.flush();

See also
  flush()

## ◆ process() [2/2]

template<typename InIt, typename OutIt>

void process | ( | InIt | bit,
|  | InIt | eit,
|  | OutIt | out )

inline

Decodes [`bit`,`eit`) and write any decoded char to `out`.

The documentation for this class was generated from the following file:

- base64.h